Hooks:PostHook(WeaponTweakData, "_init_supernova", "post_init_matthelzor_supernova_essentials_clip_fix", function(self)
    --Matt: This will reduce the shake during steelsight stance to prevent motion sickness, nausea and weapon clipping, making aiming easier and more comfortable for the user with disabilities, such as myself.
    self.supernova.shake.fire_multiplier = 0.21
    self.supernova.shake.fire_steelsight_multiplier = 0.30

    --Matt: Set minimal kick values for steelsight stance to avoid clipping into the camera
    self.supernova.kick.steelsight = {
        0.23,
        0.24,
        -0.21,
        0.22
    }

    --Matt: Set alt_fire_data animations to use the same values as the regular fire animations
    self.supernova.alt_fire_data.animations.fire_steelsight = "recoil_steelsight"
    self.supernova.alt_fire_data.animations.fire = "recoil"

    --Matt: Set different shake values for alt_fire_data
    self.supernova.alt_fire_data.shake = {
        fire_multiplier = 0.12,
        fire_steelsight_multiplier = 0.15
    }
end)