Hooks:PostHook(PlayerTweakData, "_init_supernova", "post_init_matthelzor_supernova_posthook_fixes_modification", function(self)

    -- Matt: Add shakers, breathing, and amplitude to the supernova shotgun to reduce view clipping effects that are present in the vanilla game. 
    -- If you're reading this then you should leave these values alone, if you don't know what you are doing, please don't touch anything, otherwise you will break the viewmodel.
    self.stances.supernova.standard.shakers = {
        breathing = {}
    }
    self.stances.supernova.standard.shakers.breathing.amplitude = 0.153

    self.stances.supernova.steelsight.shakers = {
        breathing = {}
    }
    self.stances.supernova.steelsight.shakers.breathing.amplitude = 0.01

    self.stances.supernova.crouched.shakers = {
        breathing = {}
    }
    self.stances.supernova.crouched.shakers.breathing.amplitude = 0.12

    local pivot_shoulder_translation = Vector3(-0.5, 3.5, 0.5)
    local pivot_shoulder_rotation = Rotation(-0.842, -0.31, 0.1)
    self.stances.supernova.standard.shoulders.translation = pivot_shoulder_translation
    self.stances.supernova.standard.shoulders.rotation = pivot_shoulder_rotation

    pivot_shoulder_translation = Vector3(-8.445, 1.8, 4.88)
    pivot_shoulder_rotation = Rotation(-0.350, 0.3, 0.4)
    self.stances.supernova.steelsight.shoulders.translation = pivot_shoulder_translation
    self.stances.supernova.steelsight.shoulders.rotation = pivot_shoulder_rotation

    pivot_shoulder_translation = Vector3(-1, 4.5, -3.5)
    pivot_shoulder_rotation = Rotation(-0.942, -0.237, -3.8)
    self.stances.supernova.crouched.shoulders.translation = pivot_shoulder_translation
    self.stances.supernova.crouched.shoulders.rotation = pivot_shoulder_rotation
end)